
%global meadversion 1.0.0
%global namedversion 1.0.0.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 7

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.0.0.redhat-3

Name:           jboss-osgi-logging
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBossOSGi Logging 
URL:            http://github.com/jbosgi/jbosgi-logging
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss-osgi-logging-1.0.0.redhat-3-scm-sources.zip
Source102: jboss-osgi-logging-1.0.0.redhat-3.jar
Source103: jboss-osgi-logging-1.0.0.redhat-3.pom
Source104: jboss-osgi-logging-1.0.0.redhat-3-javadoc.jar
Source105: jboss-osgi-logging-1.0.0.redhat-3-project-sources.tar.gz
Source106: jboss-osgi-logging-1.0.0.redhat-3-sources.jar
%endif

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
#Requires:      jboss-parent >= 0:14.0.0
BuildRequires:  jboss-parent >= 0:14.0.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBossOSGi Log Service which logs over the JBoss Logger.

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jbosgi-logging -T -b 100
                                                                                                     
%build
                                                                                                     
%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# depmaps
%add_to_maven_depmap org.jboss.osgi.logging jboss-osgi-logging %{namedversion} JPP %{name}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}
                                                                                                     
%files
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/%{name}-%{namedversion}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{namedversion}-sources.jar
%{_javadir}/%{name}-sources.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Fri Feb 06 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-7.redhat_3.1
- remove Requires: jboss-parent
- add doc

* Tue Jan 13 2015 Lukas Kubik <lkubik@redhat.com> - 1.0.0-6.redhat_3.1
- Use jboss-osgi-parent in version 1.0.15.redhat-3
  (use OSGi-compatible version string)
- Fix version of jboss-osgi-logging 
  to OSGi-compatible version - [BZ-1017619]

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-5._redhat_2.1.2
- Rebuild for RHEL-5

* Sat Aug 11 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-4._redhat_2.1.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-4._redhat_1.1.1
- Rebuild using cache signing

* Mon Jun 11 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-4._redhat_1.1
- Rebuild for RHEL-5

* Fri Mar 23 2012 Hui Wang <huwang@redhat.com> - 0:1.0.0-3_redhat_1.1
- New wrapper
- Fix installation path

* Fri Feb 10 2012 Hui Wang <huwang@redhat.com> - 0:1.0.0-2_redhat_1
- Wrapper RPM build
